For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Account object
          • GET/accounts
          • POST/accounts
          • GET/accounts/{id}
          • GET/accounts/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsAccounts

/accounts

Beta
POST
/accounting/v1/accounts
POST
/api/accounting/v1/accounts
$curl -X POST https://api.merge.dev/api/accounting/v1/accounts \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "ecbe05ac-62a3-46c5-ab31-4b478b37d1b4",
4 "remote_id": "21",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "name": "Cash",
8 "description": "Cash",
9 "classification": "ASSET",
10 "type": "Asset",
11 "account_type": "FIXED_ASSET",
12 "status": "ACTIVE",
13 "current_balance": 1.1,
14 "currency": "USD",
15 "account_number": "X12Y9AB",
16 "parent_account": "22d92d6c-22f9-11ed-861d-0242ac120002",
17 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
18 "remote_was_deleted": true,
19 "field_mappings": {
20 "organization_defined_targets": {
21 "custom_key": "custom_value"
22 },
23 "linked_account_defined_targets": {
24 "custom_key": "custom_value"
25 }
26 },
27 "remote_data": [
28 {
29 "path": "/actions",
30 "data": null
31 }
32 ]
33 },
34 "warnings": [
35 {
36 "title": "Unrecognized Field",
37 "detail": "An unrecognized field, age, was passed in with request data.",
38 "problem_type": "UNRECOGNIZED_FIELD",
39 "source": {
40 "pointer": "/age"
41 },
42 "block_merge_link": true,
43 "raw_error": "string",
44 "error_code": 1
45 }
46 ],
47 "errors": [
48 {
49 "title": "Missing Required Field",
50 "detail": "custom_fields is a required field on model.",
51 "problem_type": "MISSING_REQUIRED_FIELD",
52 "source": {
53 "pointer": "/model/custom_fields"
54 },
55 "block_merge_link": true,
56 "raw_error": "string",
57 "error_code": 1
58 }
59 ],
60 "logs": [
61 {
62 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
63 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
64 "log_summary": {
65 "url": "www.exampleintegration.com/api/v1/exampleapi",
66 "method": "POST",
67 "status_code": 200
68 }
69 }
70 ]
71}

Creates an Account object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/accounts

Next

/accounts/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

An Account represents a category in a company’s ledger in which a financial transaction is recorded against. The aggregation of each Account object is often referred to as the Chart of Accounts.

An Account can be classified into one of the following categories, determined through the classification field:

  • Asset: Accounts Receivable and Bank Accounts
  • Liability: Accounts Payable and Credit Card Accounts
  • Equity: Treasury Accounts and Retained Earnings
  • Revenue: Income and Other Income
  • Expense: Cost of Goods Sold and Office Expenses

Usage Example

Fetch from the LIST Accounts endpoint and view a company’s accounts.

Response

modelobject

Description

An Account represents a category in a company’s ledger in which a financial transaction is recorded against. The aggregation of each Account object is often referred to as the Chart of Accounts.

An Account can be classified into one of the following categories, determined through the classification field:

  • Asset: Accounts Receivable and Bank Accounts
  • Liability: Accounts Payable and Credit Card Accounts
  • Equity: Treasury Accounts and Retained Earnings
  • Revenue: Income and Other Income
  • Expense: Cost of Goods Sold and Office Expenses

Usage Example

Fetch from the LIST Accounts endpoint and view a company’s accounts.

warningslist of objects
errorslist of objects
logslist of objects